Bug 98443 - MINUTE() SECOND() result differ from OpenFormula
Summary: MINUTE() SECOND() result differ from OpenFormula
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
5.2.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: odf
Keywords:
Depends on:
Blocks: Calc-Function
  Show dependency treegraph
 
Reported: 2016-03-05 09:48 UTC by Lionel Elie Mamane
Modified: 2019-02-16 08:11 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
testcase (12.00 KB, application/vnd.oasis.opendocument.spreadsheet)
2016-03-05 09:48 UTC, Lionel Elie Mamane
Details
PDF export (13.17 KB, application/pdf)
2016-03-21 20:27 UTC, Buovjaga
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Lionel Elie Mamane 2016-03-05 09:48:16 UTC
Created attachment 123311 [details]
testcase

Compare the results in the attached spreadsheet in the presence of fractional seconds. What Calc does is *not* what is prescribed by OpenFormula 1.2.

On the other hand, the algorithm in OpenFormula 1.2 leads to aberrations compared to the specification in OpenFormula, namely a "SECOND()" value of 60, while the specification calls for a value of between 0 and 59.

What Calc does is coherent, if suprising to people that use fractional seconds.

Is this a "known bug" in the OpenDocument specification that is slated for fix in the next revision?
Comment 1 Buovjaga 2016-03-21 20:27:35 UTC
Created attachment 123761 [details]
PDF export

Is this showing the wrong results? If yes, set to NEW.

Arch Linux 64-bit, KDE Plasma 5
Version: 5.2.0.0.alpha0+
Build ID: 4bf2b6b2e6641c82e2b714e394482f1a1620b436
CPU Threads: 8; OS Version: Linux 4.4; UI Render: default; 
Locale: fi-FI (fi_FI.UTF-8)
Built on March 21st 2016
Comment 2 Lionel Elie Mamane 2016-03-21 20:50:56 UTC
(In reply to Buovjaga from comment #1)

> Is this showing the wrong results? If yes, set to NEW.

Yes, it shows the results that are not what the algorithm in the OpenFormula standard specify.
Comment 3 QA Administrators 2017-05-22 13:20:18 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice 
(5.2.7 or 5.3.3  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and 
your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave 
a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to "inherited from OOo";
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug-20170522